Subject: Re: 85xx software reset problems from paulus.git

From: Clemens Koller <[email-masked]>
Date: Mon, 26 Nov 2007 21:20:15 +0100

Hi, Robert, Hi, Kumar!

robert lazarski schrieb:
> Hi Kumar, I finally got time to get back to this:
> 
> On Nov 17, 2007 2:52 PM, Kumar Gala <[email-masked]> wrote:
>>
>> On Nov 16, 2007, at 4:01 PM, robert lazarski wrote:
>>
>>>>> Sorry for replying to myself, but thought I'd mention SRESET works
>>>>> fine on 85xx 2.6.23 , ie, the board resets after kernel panic. It
>>>>> doesn't work for me on 2.6.24rc2 .
>>>> What actual 85xx are you using?
>>>>
>>>> - k
>>>>
>>> Custom 8548 board. I'm using the cds 85xx code for a reference and I
>>> calling the same reset functions.
>>>
>> 1. do you have the following in your dts:
>>
>>                  global-utilities@e0000 {        //global utilities reg
>>                          compatible = "fsl,mpc8548-guts";
>>                          reg = <e0000 1000>;
>>                          fsl,has-rstcr;
>>                  };
>>
> 
> Yes.
> 
>> 2. in your platform code are you using fsl_rstcr_restart in
>> define_machine()
>>
>> - k
>>
> 
> Yes. The symptoms in 2.6.24RC2 are that during a kernel panic or when
> calling 'reboot' in the shell, it just hangs. Using the same dts and
> resets in 2.6.23.1 reboots fine. I don't have a cds reference, but
> someone who does should be able to confirm whether the issue exists or
> not by just attempting to reboot via bash.

ACK. Exactly the same over here (mpc8540ads compatible).
I added the global-utilities today as well, but reboot fails.

Why is the guts stuff missing i.e. in most of the shipped
mpc85xx*.dts? Does it depend on some hardware connections
external to the CPU?

Regards,
-- 
Clemens Koller
_______________________________
R&D Imaging Devices
Anagramm GmbH
Rupert-Mayer-Str. 45/1
81379 Muenchen
Germany

http://www.anagramm-technology.com
Phone: +49-89-741518-50
Fax: +49-89-741518-19